Page MenuHomePhabricator

[SVE] Eliminate calls to default-false VectorType::get() from CodeGen
ClosedPublic

Authored by ctetreau on May 20 2020, 10:31 AM.

Diff Detail

Event Timeline

ctetreau created this revision.May 20 2020, 10:31 AM
Herald added a project: Restricted Project. · View Herald Transcript
efriedma added inline comments.May 20 2020, 1:24 PM
llvm/lib/CodeGen/ValueTypes.cpp
171

I think I'd prefer to just let clang-format use its default formatting for this switch... as it is, the code doesn't fit into 80 columns.

ctetreau marked an inline comment as done.May 20 2020, 2:29 PM
ctetreau added inline comments.
llvm/lib/CodeGen/ValueTypes.cpp
171

Somebody clearly went to great lengths to format this switch nicely, I feel like this is the sort of thing clang-format on/off is for. I don't feel particularly strongly about it either way though.

ctetreau updated this revision to Diff 265383.May 20 2020, 4:33 PM

catch straggler

ctetreau updated this revision to Diff 265540.May 21 2020, 10:36 AM

address code reveiw issues

c-rhodes added inline comments.May 29 2020, 6:51 AM
llvm/lib/CodeGen/ValueTypes.cpp
337–342

I think you removed these by mistake when rebasing, causing test failures

ctetreau updated this revision to Diff 267273.May 29 2020, 9:49 AM

fix rebase issue

gchatelet accepted this revision.Jun 5 2020, 4:43 AM

LGTM but wait for other reviewers to approve.

This revision is now accepted and ready to land.Jun 5 2020, 4:43 AM
ctetreau requested review of this revision.Jun 5 2020, 7:30 AM
spatel accepted this revision.Fri, Jun 5, 2:00 PM

That switch() seems like it deserves some kind of preprocessor/stringify magic, but since it's already a mess, I guess we shouldn't hold this up. LGTM.

This revision is now accepted and ready to land.Fri, Jun 5, 2:00 PM
This revision was automatically updated to reflect the committed changes.